using AutoMapper;
using IRaCIS.Application.Contracts;
using IRaCIS.Core.Application.Contracts;
using IRaCIS.Core.Application.Contracts.Dicom.DTO;
using IRaCIS.Core.Domain.Models;

namespace IRaCIS.Core.Application.Service
{
    public class ReadingAndReportConfig : Profile
    {
        public ReadingAndReportConfig()
        {
            CreateMap<LesionInformation, VisitLesion>();

            CreateMap<ReportDTO, Report>();
            CreateMap<ImageLabelDTO, ImageLabel>();

            CreateMap<GlobalReportCommand, GlobalRS>();

        }
    }
   
}
